package com.djhk.uav.uav.service.impl;

import com.djhk.common.core.domain.R;
import com.djhk.common.core.page.TableDataInfo;
import com.djhk.uav.uav.model.UavOrganization;
import com.djhk.uav.uav.service.IUavOrganizationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 无人机编队Service业务层处理
 *
 * @author jiachengshuai
 * @date 2023-02-28
 */
@Service
@Transactional
public class UavOrganizationServiceImpl implements IUavOrganizationService
{
//    @Autowired
//    private UavOrganizationClient organizationClient;

    /**
     * 查询无人机编队
     *
     * @param id 无人机编队主键
     * @return 无人机编队
     */
    @Override
    public R<UavOrganization> selectUavOrganizationById(Long id)
    {
//        return  organizationClient.selectUavOrganizationById(id);
        return R.ok();
    }

    /**
     * 查询无人机编队列表
     *
     * @param param 无人机编队
     * @return 无人机编队
     */
    @Override
    public R<List<UavOrganization>> selectUavOrganizationList(Map<String, Object> param)
    {
//        return organizationClient.selectUavOrganizationList(param);
        return R.ok();
    }

    /**
     * 新增无人机编队
     *
     * @param uavOrganization 无人机编队
     * @return 结果
     */
    @Override
    public R insertUavOrganization(UavOrganization uavOrganization)
    {
//        return organizationClient.insertUavOrganization(uavOrganization);
        return R.ok();
    }

    /**
     * 修改无人机编队
     *
     * @param uavOrganization 无人机编队
     * @return 结果
     */
    @Override
    public R updateUavOrganization(UavOrganization uavOrganization)
    {
//        return organizationClient.updateUavOrganization(uavOrganization);
        return R.ok();
    }

    /**
     * 批量删除无人机编队
     *
     * @param ids 需要删除的无人机编队主键
     * @return 结果
     */
    @Override
    public R deleteUavOrganizationByIds(Long[] ids)
    {
//        return organizationClient.removeTask(ids);
        return R.ok();
    }


    @Override
    public TableDataInfo selectOrganizationTableData(Map<String, Object> param) {

//        return organizationClient.list(param);
        return null;
    }
}
